*** curs_main.c.orig	Thu Apr  3 09:57:33 1997
--- curs_main.c	Thu Apr  3 09:57:38 1997
***************
*** 126,132 ****
  
    menu = mutt_new_menu ();
    menu->menu = MENU_MAIN;
!   menu->offset = 1;
    menu->pagelen = LINES - 3;
    menu->make_entry = index_make_entry;
    menu->current = ci_first_message ();
--- 126,132 ----
  
    menu = mutt_new_menu ();
    menu->menu = MENU_MAIN;
!   menu->offset = FIRSTLINE;
    menu->pagelen = LINES - 3;
    menu->make_entry = index_make_entry;
    menu->current = ci_first_message ();
*** menu.c.orig	Thu Apr  3 10:01:28 1997
--- menu.c	Thu Apr  3 10:01:31 1997
***************
*** 96,108 ****
      SETCOLOR (MT_COLOR_STATUS);
      mvprintw (option (OPTSTATUSONTOP) ? LINES-2 : 0, 0, "%-*.*s", COLS, COLS, menu->help);
      SETCOLOR (MT_COLOR_NORMAL);
!     menu->offset = 1;
!     menu->pagelen = LINES - 3;
    }
    else
    {
!     menu->offset = option (OPTSTATUSONTOP) ? 1 : 0;
!     menu->pagelen = LINES - 2;
    }
  
    menu->redraw = REDRAW_INDEX | REDRAW_STATUS;
--- 96,106 ----
      SETCOLOR (MT_COLOR_STATUS);
      mvprintw (option (OPTSTATUSONTOP) ? LINES-2 : 0, 0, "%-*.*s", COLS, COLS, menu->help);
      SETCOLOR (MT_COLOR_NORMAL);
!     OFFSET_PAGELEN_H(menu->offset,menu->pagelen);
    }
    else
    {
!     OFFSET_PAGELEN_N(menu->offset,menu->pagelen);
    }
  
    menu->redraw = REDRAW_INDEX | REDRAW_STATUS;
*** mutt_curses.h.orig	Thu Apr  3 09:56:55 1997
--- mutt_curses.h	Thu Apr  3 09:56:58 1997
***************
*** 64,69 ****
--- 64,76 ----
  
  #define PAGELEN (LINES-3)
  
+ /* firstline for menu/pager/etc			*/
+ /* ca@informatik.uni-kiel.de, 1997-03-23	*/
+ /* should be an option?				*/
+ #define	FIRSTLINE	2
+ #define	OFFSET_PAGELEN_H(off,pl)	off = FIRSTLINE; pl = LINES-3-off
+ #define	OFFSET_PAGELEN_N(off,pl)	off = option (OPTSTATUSONTOP) ? FIRSTLINE : 0; pl = LINES-2-off
+ 
  #define ctrl(c) ((c)-'@')
  
  int ci_getch (void);
*** pager.c.orig	Thu Apr  3 10:00:34 1997
--- pager.c	Thu Apr  3 10:00:37 1997
***************
*** 568,575 ****
        clear ();
        if (option (OPTHELP))
        {
! 	yoffset = 1;
! 	pagelen = LINES-3;
  	SETCOLOR (MT_COLOR_STATUS);
  	mvprintw (option (OPTSTATUSONTOP) ? LINES-2 : 0, 0, "%-*.*s", COLS, COLS, helpstr);
  	SETCOLOR (MT_COLOR_NORMAL);
--- 568,574 ----
        clear ();
        if (option (OPTHELP))
        {
!  	OFFSET_PAGELEN_H(yoffset,pagelen);
  	SETCOLOR (MT_COLOR_STATUS);
  	mvprintw (option (OPTSTATUSONTOP) ? LINES-2 : 0, 0, "%-*.*s", COLS, COLS, helpstr);
  	SETCOLOR (MT_COLOR_NORMAL);
***************
*** 576,583 ****
        }
        else
        {
! 	yoffset = option (OPTSTATUSONTOP) ? 1 : 0;
! 	pagelen = LINES-2;
        }
        redraw &= ~REDRAW_FULL;
        redraw |= REDRAW_INDEX | REDRAW_STATUS;
--- 575,581 ----
        }
        else
        {
! 	OFFSET_PAGELEN_N(yoffset,pagelen);
        }
        redraw &= ~REDRAW_FULL;
        redraw |= REDRAW_INDEX | REDRAW_STATUS;
*** mutt.h.orig	Sat Apr 12 18:00:42 1997
--- mutt.h	Sat Apr 12 18:02:24 1997
***************
*** 276,281 ****
--- 276,282 ----
    OPTNOCURSES,  /* pseudo option when sending in batch mode */
    OPTNEEDREDRAW, /* pseudo option to notify caller of a submenu */
    OPTMAX
+  ,OPTBLANK
  };
  
  #define set_option(x) Options[(x)/8] |= (1 << ((x) % 8))
*** init.h.orig	Sat Apr 12 18:00:21 1997
--- init.h	Sat Apr 12 18:01:40 1997
***************
*** 47,52 ****
--- 47,53 ----
    { "autoedit",		DT_BOOL,	OPTAUTOEDIT,	NULL,	0 },
    { "auto_tag",		DT_BOOL,	OPTAUTOTAG,	NULL,	0 },
    { "beep",		DT_BOOL,	OPTBEEP,	NULL,	0 },
+   { "blank_line",	DT_BOOL,	OPTBLANK,	NULL,	0 },
    { "charset",		DT_STR,		0,		S_DECL(Charset) },
    { "confirmappend",	DT_BOOL,	OPTCONFIRMAPPEND, NULL,	0 },
    { "confirmcreate",	DT_BOOL,	OPTCONFIRMCREATE, NULL,	0 },
*** init.c.orig	Sat Apr 12 18:03:36 1997
--- init.c	Sat Apr 12 18:03:58 1997
***************
*** 990,995 ****
--- 990,996 ----
    set_option (OPTSIGDASHES);
    set_option (OPTRESOLVE);
    set_option (OPTBEEP);
+   set_option (OPTBLANK);
    set_option (OPTHELP);
    set_option (OPTSAVEEMPTY);
    set_option (OPTWEED);
